.error-page__inner
  padding-top 122px
  padding-bottom 168px
  background $white
  z-index 0
  text-align center

  +fbp(sm)
    padding-top 80px
    padding-bottom 100px

  +fbp(xs)
    padding-bottom 60px

.error-page__container
  position relative

.error-page__clouds
  span
    position absolute
    background-position 0 0
    background-repeat no-repeat
    background-size contain
    z-index -1

  +fbp(xs)
    span
      transform scale(0.5)

  span:nth-child(1)
    background-image url(/images/cloud1.svg)
    width 184px
    height 97px
    top -50px
    right -30px
    z-index 1
    animation cloudTranslate1 14s infinite ease-in-out

    +fbp(xs)
      display none

.error-page__go-back
  position relative
  margin-bottom 32px
  text-align left

  +fbp(xs)
    margin-bottom 60px

  &:before
    content ''
    position absolute
    width 184px
    height 97px
    background url(/images/cloud1.svg) no-repeat 0 0
    background-size contain
    left -21px
    top -43px

  a
    display inline-block
    padding-left 65px
    position relative
    font-size 18px
    line-height 1.333333
    color $textColor
    text-decoration none
    transition color 0.3s

    &:hover
      color $primary

    &:before
      content ''
      position absolute
      width 45px
      height 20px
      background url('/images/arrow_left.svg') no-repeat 0 0
      background-size contain
      left 0
      top 50%
      margin-top -10px

  +fbp(xs)
    &:before
      transform scale(0.5)
      transform-origin 16% 56%

    a
      font-size 14px
      padding-left 32px

      &:before
        transform scale(0.5)
        transform-origin 0 50%

.error-page__code
  text-align center
  font-size 263px
  line-height 0.73384
  font-family $secondaryFont
  margin-bottom -0.087452em
  position relative
  z-index 0
  display inline-block

  p
    margin  0
    transform scale(0.8, 1)

  +fbp(xs)
    font-size 150px

.error-page__code-clouds
  span
    position absolute
    background-position 0 0
    background-repeat no-repeat
    background-size contain
    z-index 1
    transform-origin 50% 50%

  +fbp(xs)
    span
      transform scale(0.5)

  span:nth-child(1)
    background-image url(/images/cloud1.svg)
    width 86px
    height 45px
    bottom 60px
    left -43px
    animation cloudTranslate1 10s infinite ease-in-out

  span:nth-child(2)
    background-image url(/images/cloud2.svg)
    width 104px
    height 41px
    bottom 105px
    left 4px
    animation cloudTranslate2 10s infinite ease-in-out

  span:nth-child(3)
    background-image url(/images/cloud2.svg)
    width 54px
    height 22px
    bottom 40px
    left 166px
    animation cloudTranslate3 10s infinite ease-in-out

  span:nth-child(4)
    background-image url(/images/cloud2.svg)
    width 80px
    height 31px
    top -27px
    left 274px
    animation cloudTranslate4 10s infinite ease-in-out

  span:nth-child(5)
    background-image url(/images/cloud2.svg)
    width 80px
    height 32px
    bottom 43px
    right 12px
    animation cloudTranslate3 10s infinite ease-in-out

  span:nth-child(6)
    background-image url(/images/cloud2.svg)
    width 51px
    height 21px
    bottom 35px
    right 9px
    animation cloudTranslate2 10s infinite ease-in-out

  span:nth-child(7)
    background-image url(/images/cloud1.svg)
    width 86px
    height 45px
    bottom 75px
    right -179px
    animation cloudTranslate1 10s infinite ease-in-out

.error-page__title
  font-family $secondaryFont
  font-weight 600
  font-size 20px
  line-height 1.2
  text-align center
  text-transform uppercase
  color $secondary2
  max-width 18.85em
  margin 0 auto
  margin-bottom 2.25em

  +fbp(xs)
    font-size 14px

.error-page__buttons
  margin 0 -10px
  margin-bottom -10px
  text-align center
  position relative
  z-index 0
  display inline-block

  &:before
  &:after
    content ''
    position absolute
    background-position 0 0
    background-repeat no-repeat
    background-size contain
    z-index -1


  +fbp(xs)
    &:before
    &:after
      transform scale(0.5)

  &:before
    background-image url(/images/cloud1.svg)
    width 86px
    height 45px
    top -15px
    left -71px
    transform-origin 100% 50%
    animation cloudTranslate1 13s infinite ease-in-out

  &:after
    background-image url(/images/cloud1.svg)
    width 149px
    height 78px
    top -57px
    right -104px
    transform-origin 0 50%
    animation cloudTranslate3 13s infinite ease-in-out

  .btn
    margin 0 10px
    margin-bottom 10px

.error-page__line
  height 50px
  position relative
  margin 24px auto
  width 100%
  max-width 400px

  &:before
    content ''
    position absolute
    height 2px
    width 100%
    left 0
    top 50%
    margin-top -1px
    background-color $secondary2

  &:after
    content ''
    position absolute
    width 83px
    height 50px
    left 50%
    top 0
    margin-left -41px
    background $white no-repeat center

.error-page__lines
  +fbp(xs)
    display none
  span
    position absolute
    height 6px
    background $grey
    width 200px

    &:nth-child(1)
      top 235px
      left -100px

    &:nth-child(2)
      width 336px
      top 526px
      left -55px

    &:nth-child(3)
      width 336px
      top 235px
      right -80px

    &:nth-child(4)
      top 406px
      right -10px


@keyframes cloudTranslate1
  0%
    transform translateX(-200px)

  50%
    transform translateX(200px)

  100%
    transform translateX(-200px)


@keyframes cloudTranslate2
  0%
    transform translateX(200px)

  50%
    transform translateX(-200px)

  100%
    transform translateX(200px)


@keyframes cloudTranslate3
  0%
    transform translateX(-100px)

  50%
    transform translateX(100px)

  100%
    transform translateX(-100px)



@keyframes cloudTranslate4
  0%
    transform translateX(100px)

  50%
    transform translateX(-100px)

  100%
    transform translateX(100px)
